Select Language

 flag en  flag pl

Facebook

Warning: count(): Parameter must be an array or an object that implements Countable in /ets2mods/templates/ets/library/Designer/Content/SingleArticle.php on line 198
Hits: 4465

Download

ProMods 2.45 has been available since Thursday April 9th and provides compatibility with the Road to the Black Sea DLC.

ProMods 2.45 is compatible with game version 1.36!

We will release a new version of ProMods when game version 1.37 is released.

You must own the Going East! DLC, the Scandinavian DLC, the Vive La France! DLC , Italia DLC, Beyond the Baltic Sea DLC as well as the Road to the Black Sea DLC in order for ProMods to work.

ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37